
Foreman - Feature #355

Improved Debian package specification

07/18/2010 03:49 PM - Jochen Schalanda

Status: Closed   

Priority: Normal   

Assignee: Jochen Schalanda   

Category: Packaging   

Target version: 0.1-6   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Added meta-packages foreman-mysql, foreman-pgsql and foreman-sqlite3 for pulling in the respective dependencies

Added support for dbcommon-config

Simplified rules file

Improved copyright file

Removed duplicate JavaScript files

Associated revisions

Revision 19c8133e - 07/20/2010 12:22 PM - Jochen Schalanda

fixes #355 - Improved Debian package: * Added meta-packages foreman-mysql, foreman-pgsql and foreman-sqlite3 for pulling in the respective

dependencies * Added support for dbcommon-config * Simplified rules file * Improved copyright file * Removed duplicate JavaScript files

History

#1 - 07/19/2010 06:29 AM - Ohad Levy

this looks really good!, two questions:

1. I'm unable to build the packages due to my lack of proper deb knowledge, how difficult would it be to add a rake tasks which builds the package

out of the current checkout version?

2. Do you want to release a new package based on your mods? or wait for the next release?

#2 - 07/19/2010 09:37 AM - Jochen Schalanda

1. It should be as easy as copying ./extras/debian in the main directory and running `debuild`. If this doesn't work for you (e. g. because of missing

dependencies), please post the error messages. Creating a rake task for it shouldn't be too hard. I'll have a look at it later.

2. I think making a new package for Foreman 0.1-5 wouldn't be worst thing to do.

#3 - 07/20/2010 01:19 PM - Jochen Schalanda

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 19c8133e119b1bc2b18016b33189ae5074456bdd.

#4 - 08/15/2010 01:36 PM - Ohad Levy

- Category set to 21

- Status changed from Ready For Testing to Closed

- Assignee set to Jochen Schalanda

- Target version set to 0.1-6

#5 - 10/15/2018 01:44 PM - Tomer Brisker

- Category changed from 21 to Packaging
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/19c8133e119b1bc2b18016b33189ae5074456bdd


Files

0001-Improved-Debian-package.patch 24.6 KB 07/18/2010 Jochen Schalanda
